Subject: bug#10835: 24.0.93; bidi-paragraph-direction slows down Shell mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Feb 2012 16:14:21 +0200

> Date: Sat, 18 Feb 2012 10:49:19 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> How about setting bidi-paragraph-direction in comint buffers to
> left-to-right when the locale indicates that use of bidirectional
> scripts is unlikely?  We could use locale-language-names and an
> additional small database of languages that need bidi, to make that
> decision.  WDYT?

Actually, it's probably better to go directly from the locale, since
locale-language-names doesn't really give the names of languages, it
gives the names of language environments, which can be totally
different.

I see only several locales that will need to dynamically determine
paragraph direction in comint buffers.  Those are locales matching the
following regular expressions:

  \`ar_.*
  \`fa_.*
  \`he_.*
  \`iw_.*
  \`ur_.*